# Maintainer: Luca Weiss <luca@lucaweiss.eu>

_flavor="postmarketos-qcom-sm6350"
pkgname=linux-$_flavor
pkgver=6.9.7
pkgrel=3
pkgdesc="Mainline Kernel fork for SM6350/SM7225 devices"
arch="aarch64"
_carch="arm64"
url="https://github.com/sm6350-mainline/linux"
license="GPL-2.0-only"
options="!strip !check !tracedeps
	pmb:cross-native
	pmb:kconfigcheck-community
	"
makedepends="bash bison findutils flex installkernel openssl-dev perl"

_repo="linux"
_config="config-$_flavor.$arch"
_tag="v$pkgver-sm6350"

# Source
source="
	https://github.com/sm6350-mainline/$_repo/archive/$_tag/$_repo-$_tag.tar.gz
	$_config
"
builddir="$srcdir/$_repo-$pkgver-sm6350"

prepare() {
	default_prepare
	cp "$srcdir/config-$_flavor.$arch" .config
}

build() {
	unset LDFLAGS
	make ARCH="$_carch" CC="${CC:-gcc}" \
		KBUILD_BUILD_VERSION="$((pkgrel + 1 ))-$_flavor"
}

package() {
	install -Dm644 "$builddir/arch/$_carch/boot/Image.gz" \
		"$pkgdir/boot/vmlinuz"

	make modules_install dtbs_install \
		ARCH="$_carch" \
		INSTALL_PATH="$pkgdir"/boot/ \
		INSTALL_MOD_PATH="$pkgdir" \
		INSTALL_MOD_STRIP=1 \
		INSTALL_DTBS_PATH="$pkgdir"/boot/dtbs
	rm -f "$pkgdir"/lib/modules/*/build "$pkgdir"/lib/modules/*/source

	install -D "$builddir"/include/config/kernel.release \
		"$pkgdir"/usr/share/kernel/$_flavor/kernel.release
}

sha512sums="
2d432d2e9cf681c55a8406d1c9122ebdde8fdd0dee12815b785bfc9446527bec25a812b297e88d893685fa32b45afd752ae13ae2c28bf6e53f9699e4f7021dae  linux-v6.9.7-sm6350.tar.gz
06f71580b32172ffe6e46b6b7032ea03bd6deeece7a1f1ad777e4de7bf3d31588b4d75062ccb0c2cb3330124f3d49423bab79e73c1637ceedf44d10e104e3572  config-postmarketos-qcom-sm6350.aarch64
"
